# Use postgres/example user/password credentials
version: '3.1'

services:
  web:
    container_name: web
    build: ./ws_python
    working_dir: /code
    ports:
     - "9000:8001"
    volumes:
      - ./ws_python:/code
    environment:
      DEBUG: 1
      DB_DSN: postgres://postgres:lid@db
    restart: on-failure
    command: uvicorn main:app --host 0.0.0.0 --port 8001 --reload
  db:
    image: postgres:10.21
    container_name: contenedor_pg
    restart: on-failure
    environment:
      POSTGRES_PASSWORD: lid
    ports:
      - 2032:5432
    volumes:
      - "postgres-data:/var/lib/postgresql/data"
  adminer:
    image: adminer
    container_name: contenedor_adminer
    restart: on-failure
    ports:
      - 8080:8080
networks:
  common_network:

volumes:
  postgres-data:
